Skip to main content
POST
/
v1
/
virtual-accounts
/
{virtual_account_id}
/
payout
Execute a payout
curl --request POST \
  --url https://api.balampay.com/v1/virtual-accounts/{virtual_account_id}/payout \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --header 'X-Api-Version: <x-api-version>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "amount": "100.00",
  "currency": "USD",
  "recipient_id": "{{recipient_id}}"
}
'
{
  "code": "<string>",
  "message": "<string>",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Access token from POST /auth (the data.access_token value).

x-api-key
string
header
required

API key issued by Kira. Required on every request, including /auth.

Headers

X-Api-Version
string
required
Example:

"2026-04-14"

Idempotency-Key
string
required
Example:

"{{idempotency_key}}"

Path Parameters

virtual_account_id
string<uuid>
required

Virtual account UUID.

Body

application/json

The body is of type object.

Response

Success.